Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network25.224.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
25.224.0.0
Broadcast address
25.255.255.255
First usable
25.224.0.1
Last usable
25.255.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 19E00000 · Integer 434110464 to 436207615
Reverse DNS zones
224.25.in-addr.arpa
225.25.in-addr.arpa
226.25.in-addr.arpa
227.25.in-addr.arpa
228.25.in-addr.arpa
229.25.in-addr.arpa
230.25.in-addr.arpa
231.25.in-addr.arpa
232.25.in-addr.arpa
233.25.in-addr.arpa
234.25.in-addr.arpa
235.25.in-addr.arpa
236.25.in-addr.arpa
237.25.in-addr.arpa
238.25.in-addr.arpa
239.25.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011001.11100000.00000000.0000000025.224.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00011001.11100000.00000000.0000000025.224.0.0
Broadcast00011001.11111111.11111111.1111111125.255.255.255
Split into smaller subnets/23

25.224.0.0/11 makes 4,096 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
125.224.0.0/2325.224.0.1 to 25.224.1.25425.224.1.255510
225.224.2.0/2325.224.2.1 to 25.224.3.25425.224.3.255510
325.224.4.0/2325.224.4.1 to 25.224.5.25425.224.5.255510
425.224.6.0/2325.224.6.1 to 25.224.7.25425.224.7.255510
525.224.8.0/2325.224.8.1 to 25.224.9.25425.224.9.255510
625.224.10.0/2325.224.10.1 to 25.224.11.25425.224.11.255510
725.224.12.0/2325.224.12.1 to 25.224.13.25425.224.13.255510
825.224.14.0/2325.224.14.1 to 25.224.15.25425.224.15.255510
925.224.16.0/2325.224.16.1 to 25.224.17.25425.224.17.255510
1025.224.18.0/2325.224.18.1 to 25.224.19.25425.224.19.255510
1125.224.20.0/2325.224.20.1 to 25.224.21.25425.224.21.255510
1225.224.22.0/2325.224.22.1 to 25.224.23.25425.224.23.255510
1325.224.24.0/2325.224.24.1 to 25.224.25.25425.224.25.255510
1425.224.26.0/2325.224.26.1 to 25.224.27.25425.224.27.255510
1525.224.28.0/2325.224.28.1 to 25.224.29.25425.224.29.255510
1625.224.30.0/2325.224.30.1 to 25.224.31.25425.224.31.255510
1725.224.32.0/2325.224.32.1 to 25.224.33.25425.224.33.255510
1825.224.34.0/2325.224.34.1 to 25.224.35.25425.224.35.255510
1925.224.36.0/2325.224.36.1 to 25.224.37.25425.224.37.255510
2025.224.38.0/2325.224.38.1 to 25.224.39.25425.224.39.255510
2125.224.40.0/2325.224.40.1 to 25.224.41.25425.224.41.255510
2225.224.42.0/2325.224.42.1 to 25.224.43.25425.224.43.255510
2325.224.44.0/2325.224.44.1 to 25.224.45.25425.224.45.255510
2425.224.46.0/2325.224.46.1 to 25.224.47.25425.224.47.255510
2525.224.48.0/2325.224.48.1 to 25.224.49.25425.224.49.255510
2625.224.50.0/2325.224.50.1 to 25.224.51.25425.224.51.255510
2725.224.52.0/2325.224.52.1 to 25.224.53.25425.224.53.255510
2825.224.54.0/2325.224.54.1 to 25.224.55.25425.224.55.255510
2925.224.56.0/2325.224.56.1 to 25.224.57.25425.224.57.255510
3025.224.58.0/2325.224.58.1 to 25.224.59.25425.224.59.255510
3125.224.60.0/2325.224.60.1 to 25.224.61.25425.224.61.255510
3225.224.62.0/2325.224.62.1 to 25.224.63.25425.224.63.255510
3325.224.64.0/2325.224.64.1 to 25.224.65.25425.224.65.255510
3425.224.66.0/2325.224.66.1 to 25.224.67.25425.224.67.255510
3525.224.68.0/2325.224.68.1 to 25.224.69.25425.224.69.255510
3625.224.70.0/2325.224.70.1 to 25.224.71.25425.224.71.255510
3725.224.72.0/2325.224.72.1 to 25.224.73.25425.224.73.255510
3825.224.74.0/2325.224.74.1 to 25.224.75.25425.224.75.255510
3925.224.76.0/2325.224.76.1 to 25.224.77.25425.224.77.255510
4025.224.78.0/2325.224.78.1 to 25.224.79.25425.224.79.255510
4125.224.80.0/2325.224.80.1 to 25.224.81.25425.224.81.255510
4225.224.82.0/2325.224.82.1 to 25.224.83.25425.224.83.255510
4325.224.84.0/2325.224.84.1 to 25.224.85.25425.224.85.255510
4425.224.86.0/2325.224.86.1 to 25.224.87.25425.224.87.255510
4525.224.88.0/2325.224.88.1 to 25.224.89.25425.224.89.255510
4625.224.90.0/2325.224.90.1 to 25.224.91.25425.224.91.255510
4725.224.92.0/2325.224.92.1 to 25.224.93.25425.224.93.255510
4825.224.94.0/2325.224.94.1 to 25.224.95.25425.224.95.255510
4925.224.96.0/2325.224.96.1 to 25.224.97.25425.224.97.255510
5025.224.98.0/2325.224.98.1 to 25.224.99.25425.224.99.255510
5125.224.100.0/2325.224.100.1 to 25.224.101.25425.224.101.255510
5225.224.102.0/2325.224.102.1 to 25.224.103.25425.224.103.255510
5325.224.104.0/2325.224.104.1 to 25.224.105.25425.224.105.255510
5425.224.106.0/2325.224.106.1 to 25.224.107.25425.224.107.255510
5525.224.108.0/2325.224.108.1 to 25.224.109.25425.224.109.255510
5625.224.110.0/2325.224.110.1 to 25.224.111.25425.224.111.255510
5725.224.112.0/2325.224.112.1 to 25.224.113.25425.224.113.255510
5825.224.114.0/2325.224.114.1 to 25.224.115.25425.224.115.255510
5925.224.116.0/2325.224.116.1 to 25.224.117.25425.224.117.255510
6025.224.118.0/2325.224.118.1 to 25.224.119.25425.224.119.255510
6125.224.120.0/2325.224.120.1 to 25.224.121.25425.224.121.255510
6225.224.122.0/2325.224.122.1 to 25.224.123.25425.224.123.255510
6325.224.124.0/2325.224.124.1 to 25.224.125.25425.224.125.255510
6425.224.126.0/2325.224.126.1 to 25.224.127.25425.224.127.255510
6525.224.128.0/2325.224.128.1 to 25.224.129.25425.224.129.255510
6625.224.130.0/2325.224.130.1 to 25.224.131.25425.224.131.255510
6725.224.132.0/2325.224.132.1 to 25.224.133.25425.224.133.255510
6825.224.134.0/2325.224.134.1 to 25.224.135.25425.224.135.255510
6925.224.136.0/2325.224.136.1 to 25.224.137.25425.224.137.255510
7025.224.138.0/2325.224.138.1 to 25.224.139.25425.224.139.255510
7125.224.140.0/2325.224.140.1 to 25.224.141.25425.224.141.255510
7225.224.142.0/2325.224.142.1 to 25.224.143.25425.224.143.255510
7325.224.144.0/2325.224.144.1 to 25.224.145.25425.224.145.255510
7425.224.146.0/2325.224.146.1 to 25.224.147.25425.224.147.255510
7525.224.148.0/2325.224.148.1 to 25.224.149.25425.224.149.255510
7625.224.150.0/2325.224.150.1 to 25.224.151.25425.224.151.255510
7725.224.152.0/2325.224.152.1 to 25.224.153.25425.224.153.255510
7825.224.154.0/2325.224.154.1 to 25.224.155.25425.224.155.255510
7925.224.156.0/2325.224.156.1 to 25.224.157.25425.224.157.255510
8025.224.158.0/2325.224.158.1 to 25.224.159.25425.224.159.255510
8125.224.160.0/2325.224.160.1 to 25.224.161.25425.224.161.255510
8225.224.162.0/2325.224.162.1 to 25.224.163.25425.224.163.255510
8325.224.164.0/2325.224.164.1 to 25.224.165.25425.224.165.255510
8425.224.166.0/2325.224.166.1 to 25.224.167.25425.224.167.255510
8525.224.168.0/2325.224.168.1 to 25.224.169.25425.224.169.255510
8625.224.170.0/2325.224.170.1 to 25.224.171.25425.224.171.255510
8725.224.172.0/2325.224.172.1 to 25.224.173.25425.224.173.255510
8825.224.174.0/2325.224.174.1 to 25.224.175.25425.224.175.255510
8925.224.176.0/2325.224.176.1 to 25.224.177.25425.224.177.255510
9025.224.178.0/2325.224.178.1 to 25.224.179.25425.224.179.255510
9125.224.180.0/2325.224.180.1 to 25.224.181.25425.224.181.255510
9225.224.182.0/2325.224.182.1 to 25.224.183.25425.224.183.255510
9325.224.184.0/2325.224.184.1 to 25.224.185.25425.224.185.255510
9425.224.186.0/2325.224.186.1 to 25.224.187.25425.224.187.255510
9525.224.188.0/2325.224.188.1 to 25.224.189.25425.224.189.255510
9625.224.190.0/2325.224.190.1 to 25.224.191.25425.224.191.255510
9725.224.192.0/2325.224.192.1 to 25.224.193.25425.224.193.255510
9825.224.194.0/2325.224.194.1 to 25.224.195.25425.224.195.255510
9925.224.196.0/2325.224.196.1 to 25.224.197.25425.224.197.255510
10025.224.198.0/2325.224.198.1 to 25.224.199.25425.224.199.255510
10125.224.200.0/2325.224.200.1 to 25.224.201.25425.224.201.255510
10225.224.202.0/2325.224.202.1 to 25.224.203.25425.224.203.255510
10325.224.204.0/2325.224.204.1 to 25.224.205.25425.224.205.255510
10425.224.206.0/2325.224.206.1 to 25.224.207.25425.224.207.255510
10525.224.208.0/2325.224.208.1 to 25.224.209.25425.224.209.255510
10625.224.210.0/2325.224.210.1 to 25.224.211.25425.224.211.255510
10725.224.212.0/2325.224.212.1 to 25.224.213.25425.224.213.255510
10825.224.214.0/2325.224.214.1 to 25.224.215.25425.224.215.255510
10925.224.216.0/2325.224.216.1 to 25.224.217.25425.224.217.255510
11025.224.218.0/2325.224.218.1 to 25.224.219.25425.224.219.255510
11125.224.220.0/2325.224.220.1 to 25.224.221.25425.224.221.255510
11225.224.222.0/2325.224.222.1 to 25.224.223.25425.224.223.255510
11325.224.224.0/2325.224.224.1 to 25.224.225.25425.224.225.255510
11425.224.226.0/2325.224.226.1 to 25.224.227.25425.224.227.255510
11525.224.228.0/2325.224.228.1 to 25.224.229.25425.224.229.255510
11625.224.230.0/2325.224.230.1 to 25.224.231.25425.224.231.255510
11725.224.232.0/2325.224.232.1 to 25.224.233.25425.224.233.255510
11825.224.234.0/2325.224.234.1 to 25.224.235.25425.224.235.255510
11925.224.236.0/2325.224.236.1 to 25.224.237.25425.224.237.255510
12025.224.238.0/2325.224.238.1 to 25.224.239.25425.224.239.255510
12125.224.240.0/2325.224.240.1 to 25.224.241.25425.224.241.255510
12225.224.242.0/2325.224.242.1 to 25.224.243.25425.224.243.255510
12325.224.244.0/2325.224.244.1 to 25.224.245.25425.224.245.255510
12425.224.246.0/2325.224.246.1 to 25.224.247.25425.224.247.255510
12525.224.248.0/2325.224.248.1 to 25.224.249.25425.224.249.255510
12625.224.250.0/2325.224.250.1 to 25.224.251.25425.224.251.255510
12725.224.252.0/2325.224.252.1 to 25.224.253.25425.224.253.255510
12825.224.254.0/2325.224.254.1 to 25.224.255.25425.224.255.255510
12925.225.0.0/2325.225.0.1 to 25.225.1.25425.225.1.255510
13025.225.2.0/2325.225.2.1 to 25.225.3.25425.225.3.255510
13125.225.4.0/2325.225.4.1 to 25.225.5.25425.225.5.255510
13225.225.6.0/2325.225.6.1 to 25.225.7.25425.225.7.255510
13325.225.8.0/2325.225.8.1 to 25.225.9.25425.225.9.255510
13425.225.10.0/2325.225.10.1 to 25.225.11.25425.225.11.255510
13525.225.12.0/2325.225.12.1 to 25.225.13.25425.225.13.255510
13625.225.14.0/2325.225.14.1 to 25.225.15.25425.225.15.255510
13725.225.16.0/2325.225.16.1 to 25.225.17.25425.225.17.255510
13825.225.18.0/2325.225.18.1 to 25.225.19.25425.225.19.255510
13925.225.20.0/2325.225.20.1 to 25.225.21.25425.225.21.255510
14025.225.22.0/2325.225.22.1 to 25.225.23.25425.225.23.255510
14125.225.24.0/2325.225.24.1 to 25.225.25.25425.225.25.255510
14225.225.26.0/2325.225.26.1 to 25.225.27.25425.225.27.255510
14325.225.28.0/2325.225.28.1 to 25.225.29.25425.225.29.255510
14425.225.30.0/2325.225.30.1 to 25.225.31.25425.225.31.255510
14525.225.32.0/2325.225.32.1 to 25.225.33.25425.225.33.255510
14625.225.34.0/2325.225.34.1 to 25.225.35.25425.225.35.255510
14725.225.36.0/2325.225.36.1 to 25.225.37.25425.225.37.255510
14825.225.38.0/2325.225.38.1 to 25.225.39.25425.225.39.255510
14925.225.40.0/2325.225.40.1 to 25.225.41.25425.225.41.255510
15025.225.42.0/2325.225.42.1 to 25.225.43.25425.225.43.255510
15125.225.44.0/2325.225.44.1 to 25.225.45.25425.225.45.255510
15225.225.46.0/2325.225.46.1 to 25.225.47.25425.225.47.255510
15325.225.48.0/2325.225.48.1 to 25.225.49.25425.225.49.255510
15425.225.50.0/2325.225.50.1 to 25.225.51.25425.225.51.255510
15525.225.52.0/2325.225.52.1 to 25.225.53.25425.225.53.255510
15625.225.54.0/2325.225.54.1 to 25.225.55.25425.225.55.255510
15725.225.56.0/2325.225.56.1 to 25.225.57.25425.225.57.255510
15825.225.58.0/2325.225.58.1 to 25.225.59.25425.225.59.255510
15925.225.60.0/2325.225.60.1 to 25.225.61.25425.225.61.255510
16025.225.62.0/2325.225.62.1 to 25.225.63.25425.225.63.255510
16125.225.64.0/2325.225.64.1 to 25.225.65.25425.225.65.255510
16225.225.66.0/2325.225.66.1 to 25.225.67.25425.225.67.255510
16325.225.68.0/2325.225.68.1 to 25.225.69.25425.225.69.255510
16425.225.70.0/2325.225.70.1 to 25.225.71.25425.225.71.255510
16525.225.72.0/2325.225.72.1 to 25.225.73.25425.225.73.255510
16625.225.74.0/2325.225.74.1 to 25.225.75.25425.225.75.255510
16725.225.76.0/2325.225.76.1 to 25.225.77.25425.225.77.255510
16825.225.78.0/2325.225.78.1 to 25.225.79.25425.225.79.255510
16925.225.80.0/2325.225.80.1 to 25.225.81.25425.225.81.255510
17025.225.82.0/2325.225.82.1 to 25.225.83.25425.225.83.255510
17125.225.84.0/2325.225.84.1 to 25.225.85.25425.225.85.255510
17225.225.86.0/2325.225.86.1 to 25.225.87.25425.225.87.255510
17325.225.88.0/2325.225.88.1 to 25.225.89.25425.225.89.255510
17425.225.90.0/2325.225.90.1 to 25.225.91.25425.225.91.255510
17525.225.92.0/2325.225.92.1 to 25.225.93.25425.225.93.255510
17625.225.94.0/2325.225.94.1 to 25.225.95.25425.225.95.255510
17725.225.96.0/2325.225.96.1 to 25.225.97.25425.225.97.255510
17825.225.98.0/2325.225.98.1 to 25.225.99.25425.225.99.255510
17925.225.100.0/2325.225.100.1 to 25.225.101.25425.225.101.255510
18025.225.102.0/2325.225.102.1 to 25.225.103.25425.225.103.255510
18125.225.104.0/2325.225.104.1 to 25.225.105.25425.225.105.255510
18225.225.106.0/2325.225.106.1 to 25.225.107.25425.225.107.255510
18325.225.108.0/2325.225.108.1 to 25.225.109.25425.225.109.255510
18425.225.110.0/2325.225.110.1 to 25.225.111.25425.225.111.255510
18525.225.112.0/2325.225.112.1 to 25.225.113.25425.225.113.255510
18625.225.114.0/2325.225.114.1 to 25.225.115.25425.225.115.255510
18725.225.116.0/2325.225.116.1 to 25.225.117.25425.225.117.255510
18825.225.118.0/2325.225.118.1 to 25.225.119.25425.225.119.255510
18925.225.120.0/2325.225.120.1 to 25.225.121.25425.225.121.255510
19025.225.122.0/2325.225.122.1 to 25.225.123.25425.225.123.255510
19125.225.124.0/2325.225.124.1 to 25.225.125.25425.225.125.255510
19225.225.126.0/2325.225.126.1 to 25.225.127.25425.225.127.255510
19325.225.128.0/2325.225.128.1 to 25.225.129.25425.225.129.255510
19425.225.130.0/2325.225.130.1 to 25.225.131.25425.225.131.255510
19525.225.132.0/2325.225.132.1 to 25.225.133.25425.225.133.255510
19625.225.134.0/2325.225.134.1 to 25.225.135.25425.225.135.255510
19725.225.136.0/2325.225.136.1 to 25.225.137.25425.225.137.255510
19825.225.138.0/2325.225.138.1 to 25.225.139.25425.225.139.255510
19925.225.140.0/2325.225.140.1 to 25.225.141.25425.225.141.255510
20025.225.142.0/2325.225.142.1 to 25.225.143.25425.225.143.255510
20125.225.144.0/2325.225.144.1 to 25.225.145.25425.225.145.255510
20225.225.146.0/2325.225.146.1 to 25.225.147.25425.225.147.255510
20325.225.148.0/2325.225.148.1 to 25.225.149.25425.225.149.255510
20425.225.150.0/2325.225.150.1 to 25.225.151.25425.225.151.255510
20525.225.152.0/2325.225.152.1 to 25.225.153.25425.225.153.255510
20625.225.154.0/2325.225.154.1 to 25.225.155.25425.225.155.255510
20725.225.156.0/2325.225.156.1 to 25.225.157.25425.225.157.255510
20825.225.158.0/2325.225.158.1 to 25.225.159.25425.225.159.255510
20925.225.160.0/2325.225.160.1 to 25.225.161.25425.225.161.255510
21025.225.162.0/2325.225.162.1 to 25.225.163.25425.225.163.255510
21125.225.164.0/2325.225.164.1 to 25.225.165.25425.225.165.255510
21225.225.166.0/2325.225.166.1 to 25.225.167.25425.225.167.255510
21325.225.168.0/2325.225.168.1 to 25.225.169.25425.225.169.255510
21425.225.170.0/2325.225.170.1 to 25.225.171.25425.225.171.255510
21525.225.172.0/2325.225.172.1 to 25.225.173.25425.225.173.255510
21625.225.174.0/2325.225.174.1 to 25.225.175.25425.225.175.255510
21725.225.176.0/2325.225.176.1 to 25.225.177.25425.225.177.255510
21825.225.178.0/2325.225.178.1 to 25.225.179.25425.225.179.255510
21925.225.180.0/2325.225.180.1 to 25.225.181.25425.225.181.255510
22025.225.182.0/2325.225.182.1 to 25.225.183.25425.225.183.255510
22125.225.184.0/2325.225.184.1 to 25.225.185.25425.225.185.255510
22225.225.186.0/2325.225.186.1 to 25.225.187.25425.225.187.255510
22325.225.188.0/2325.225.188.1 to 25.225.189.25425.225.189.255510
22425.225.190.0/2325.225.190.1 to 25.225.191.25425.225.191.255510
22525.225.192.0/2325.225.192.1 to 25.225.193.25425.225.193.255510
22625.225.194.0/2325.225.194.1 to 25.225.195.25425.225.195.255510
22725.225.196.0/2325.225.196.1 to 25.225.197.25425.225.197.255510
22825.225.198.0/2325.225.198.1 to 25.225.199.25425.225.199.255510
22925.225.200.0/2325.225.200.1 to 25.225.201.25425.225.201.255510
23025.225.202.0/2325.225.202.1 to 25.225.203.25425.225.203.255510
23125.225.204.0/2325.225.204.1 to 25.225.205.25425.225.205.255510
23225.225.206.0/2325.225.206.1 to 25.225.207.25425.225.207.255510
23325.225.208.0/2325.225.208.1 to 25.225.209.25425.225.209.255510
23425.225.210.0/2325.225.210.1 to 25.225.211.25425.225.211.255510
23525.225.212.0/2325.225.212.1 to 25.225.213.25425.225.213.255510
23625.225.214.0/2325.225.214.1 to 25.225.215.25425.225.215.255510
23725.225.216.0/2325.225.216.1 to 25.225.217.25425.225.217.255510
23825.225.218.0/2325.225.218.1 to 25.225.219.25425.225.219.255510
23925.225.220.0/2325.225.220.1 to 25.225.221.25425.225.221.255510
24025.225.222.0/2325.225.222.1 to 25.225.223.25425.225.223.255510
24125.225.224.0/2325.225.224.1 to 25.225.225.25425.225.225.255510
24225.225.226.0/2325.225.226.1 to 25.225.227.25425.225.227.255510
24325.225.228.0/2325.225.228.1 to 25.225.229.25425.225.229.255510
24425.225.230.0/2325.225.230.1 to 25.225.231.25425.225.231.255510
24525.225.232.0/2325.225.232.1 to 25.225.233.25425.225.233.255510
24625.225.234.0/2325.225.234.1 to 25.225.235.25425.225.235.255510
24725.225.236.0/2325.225.236.1 to 25.225.237.25425.225.237.255510
24825.225.238.0/2325.225.238.1 to 25.225.239.25425.225.239.255510
24925.225.240.0/2325.225.240.1 to 25.225.241.25425.225.241.255510
25025.225.242.0/2325.225.242.1 to 25.225.243.25425.225.243.255510
25125.225.244.0/2325.225.244.1 to 25.225.245.25425.225.245.255510
25225.225.246.0/2325.225.246.1 to 25.225.247.25425.225.247.255510
25325.225.248.0/2325.225.248.1 to 25.225.249.25425.225.249.255510
25425.225.250.0/2325.225.250.1 to 25.225.251.25425.225.251.255510
25525.225.252.0/2325.225.252.1 to 25.225.253.25425.225.253.255510
25625.225.254.0/2325.225.254.1 to 25.225.255.25425.225.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses